Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query.larq
Class IndexLARQ

    java.lang.Object
      com.hp.hpl.jena.query.larq.IndexLARQ

    public class IndexLARQ

extends java.lang.Object

ARQ wrapper for a Lucene index.

Author:
  Andy Seaborne

Constructor Summary
`IndexLARQ(org.apache.lucene.index.IndexReader r)`
`IndexLARQ(org.apache.lucene.index.IndexReader r, org.apache.lucene.analysis.Analyzer a)`
`IndexLARQ(org.apache.lucene.index.IndexReader r, org.apache.lucene.queryParser.QueryParser qp)`

Method Summary
`void` | `close()`
`HitLARQ` | `contains(com.hp.hpl.jena.graph.Node node, java.lang.String queryString)` Check whether an index recognizes a node.
`boolean` | `hasMatch(java.lang.String queryString)` test whether the index matches for the given Lucene query string
`java.util.Iterator` | `search(java.lang.String queryString)` Perform a free text Lucene search and returns an iterator of graph Nodes.
`com.hp.hpl.jena.rdf.model.NodeIterator` | `searchModelByIndex(com.hp.hpl.jena.rdf.model.Model model, java.lang.String queryString)` Perform a free text Lucene search and return a NodeIterator.
`com.hp.hpl.jena.rdf.model.NodeIterator` | `searchModelByIndex(com.hp.hpl.jena.rdf.model.Model model, java.lang.String queryString, float scoreLimit)` Perform a free text Lucene search and return a NodeIterator.
`com.hp.hpl.jena.rdf.model.NodeIterator` | `searchModelByIndex(java.lang.String queryString)` Perform a free text Lucene search and return a NodeIterator.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexLARQ

    public IndexLARQ(org.apache.lucene.index.IndexReader r)

### IndexLARQ

    public IndexLARQ(org.apache.lucene.index.IndexReader r,
                     org.apache.lucene.analysis.Analyzer a)

### IndexLARQ

    public IndexLARQ(org.apache.lucene.index.IndexReader r,
                     org.apache.lucene.queryParser.QueryParser qp)

Method Detail

### searchModelByIndex

    public com.hp.hpl.jena.rdf.model.NodeIterator searchModelByIndex(java.lang.String queryString)

  Perform a free text Lucene search and return a NodeIterator.

  Parameters:
    `queryString` -
  Returns:
    NodeIterator

### searchModelByIndex

    public com.hp.hpl.jena.rdf.model.NodeIterator searchModelByIndex(com.hp.hpl.jena.rdf.model.Model model,
                                                                     java.lang.String queryString)

  Perform a free text Lucene search and return a NodeIterator. The RDFNodes in the iterator are associated with the model supplied.

  Parameters:
    `model` -
    `queryString` -
  Returns:
    NodeIterator

### searchModelByIndex

    public com.hp.hpl.jena.rdf.model.NodeIterator searchModelByIndex(com.hp.hpl.jena.rdf.model.Model model,
                                                                     java.lang.String queryString,
                                                                     float scoreLimit)

  Perform a free text Lucene search and return a NodeIterator. The RDFNodes in the iterator are associated with the model supplied.

  Parameters:
    `model` -
    `queryString` -
    `scoreLimit` - Minimum Lucene score
  Returns:
    NodeIterator

### hasMatch

    public boolean hasMatch(java.lang.String queryString)

  test whether the index matches for the given Lucene query string

### search

    public java.util.Iterator search(java.lang.String queryString)

  Perform a free text Lucene search and returns an iterator of graph Nodes. Applications normally call searchModelByIndex.

  Parameters:
    `queryString` -
  Returns:
    Iterator of hits (Graph node and score)

### contains

    public HitLARQ contains(com.hp.hpl.jena.graph.Node node,
                            java.lang.String queryString)

  Check whether an index recognizes a node.

  Parameters:
    `node` -
    `queryString` -
  Returns:
    boolean

### close

    public void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP